Skip to main content
POST
https://scrape.st
/
track-user
curl -X POST https://scrape.st/track-user \
  -H "Content-Type: application/json" \
  -H "x-api-key: YOUR_API_KEY" \
  -d '{ "username": "elonmusk" }'
{
  "message": "Now tracking Elon Musk",
  "data": {
    "id": "44196397",
    "name": "Elon Musk",
    "username": "elonmusk"
    // ... other user fields
  }
}
Start tracking a user. This will automatically follow the user on Twitter and enable push notifications for their account.
This endpoint requires authentication. You must provide the x-api-key header.
x-api-key
string
required
Your unique API key.
username
string
required
The Twitter handle (screen name) of the user to track. Validation: - Must be a string. - Length: 1-15 characters. - Allowed characters: Letters, numbers, and underscores (_).
message
string
Confirmation message.
data
object
User profile data returned from Twitter.

Error Responses

{
  "message": "Now tracking Elon Musk",
  "data": {
    "id": "44196397",
    "name": "Elon Musk",
    "username": "elonmusk"
    // ... other user fields
  }
}
curl -X POST https://scrape.st/track-user \
  -H "Content-Type: application/json" \
  -H "x-api-key: YOUR_API_KEY" \
  -d '{ "username": "elonmusk" }'